Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: Как установить deb-пакет CrossOver linux? [Решено]  (Прочитано 340 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн hoz

  • Автор темы
  • Новичок
  • *
  • Сообщений: 37
    • Просмотр профиля
Скачиваю новую версию CrossOver linux с официального сайта по ссылке
Делаю всё по инструкции https://www.codeweavers.com/support/wiki/linux/linuxtutorial/install/?utm_campaign=trial;utm_source=trial;utm_medium=email
На пункте "Install the CrossOver .deb using gdebi:" натыкаюсь на грабли:
root@hoz-VirtualBox:~/Downloads# sudo gdebi crossover.deb
sudo: gdebi: command not found
root@hoz-VirtualBox:~/Downloads#
Почему?
Ведь выше я уже установил gdebi..
« Последнее редактирование: 03 Май 2020, 05:57:28 от zg_nico »

Оффлайн zg_nico

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 3513
  • Nil mortalibus arduum est
    • Просмотр профиля
Re: Как установить deb-пакет CrossOver linux?
« Ответ #1 : 08 Март 2020, 22:05:20 »
hoz, начнем с простого: почему вы от root запускаете sudo?
(Нажмите, чтобы показать/скрыть)
Thunderobot G150-D2: Intel SkyLake Core i7-6700HQ 2.60GHz, 8Gb DDR4 2133 MHz, Intel HD530, NVidia GeForce GTX 960M 2Gb.  Ubuntu 16.04 64x [Unity], KUbuntu 18.04 64x.

Оффлайн Lex Alexov

  • Модератор форума
  • Активист
  • *
  • Сообщений: 291
    • Просмотр профиля
Re: Как установить deb-пакет CrossOver linux?
« Ответ #2 : 08 Март 2020, 22:07:00 »
Двойной клик по пакету, либо
cd Downloads
sudo dpkg -i crossover.deb
Samsung NP-530U4b-S01; Intel i3-2367M (4) @ 1.44GHz; 8Gb DDR3 1333 МГц; AMD Radeon HD 7550M; Intel HD Graphics 4000; KDE-Neon 5.21 x64;

Оффлайн hoz

  • Автор темы
  • Новичок
  • *
  • Сообщений: 37
    • Просмотр профиля
Re: Как установить deb-пакет CrossOver linux?
« Ответ #3 : 08 Март 2020, 22:24:24 »
(Нажмите, чтобы показать/скрыть)

Пользователь добавил сообщение 08 Март 2020, 22:35:06:
Двойной клик по пакету, либо
cd Downloads
sudo dpkg -i crossover.deb
Так не устанавливается. Я такой вариант изначально проверил.

Всё-таки, я в шоке. А как этот gdebi установить? Я нашёл статью
Делаю всё как нам написано и..
root@hoz-VirtualBox:~/Downloads# apt-get install gdebi-core
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 crossover:i386 : Depends: libc6:i386 (>= 2.11) but it is not going to be installed
                  Depends: libx11-6:i386 but it is not going to be installed or
                           xlibs:i386 but it is not installable
                  Depends: libxext6:i386 but it is not going to be installed or
                           xlibs:i386 but it is not installable
                  Depends: libxi6:i386 but it is not going to be installed
                  Depends: libfreetype6:i386 but it is not going to be installed
                  Depends: libpng12-0:i386 but it is not installable or
                           libpng16-16:i386 but it is not going to be installed
                  Depends: libz1:i386
                  Depends: libnss-mdns:i386 but it is not going to be installed or
                           lib32nss-mdns:amd64 but it is not installable
                  Depends: libcups2:i386 but it is not going to be installed
                  Depends: liblcms2-2:i386 but it is not going to be installed
                  Depends: libglu1-mesa:i386 but it is not going to be installed
                  Depends: libxcursor1:i386 but it is not going to be installed
                  Depends: libxrandr2:i386 but it is not going to be installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).
root@hoz-VirtualBox:~/Downloads#
Удивляет то, что куда не глянь ничего не работает. Жесть какая-то.. :(

Вопрос решён.Статья не целостная. Оказывается, нужно было ещё прописать:
apt --fix-broken install
« Последнее редактирование: 08 Март 2020, 22:39:16 от hoz »

Оффлайн jurganov

  • Активист
  • *
  • Сообщений: 448
    • Просмотр профиля
Re: Как установить deb-пакет CrossOver linux?
« Ответ #4 : 10 Март 2020, 09:13:04 »
очевидно, что ты на 64битную систему напяливаешь 32битный кроссовер и библиотек нету.
Почитай как подготовить систему для установки 32битных приложений, к примеру вот тут
http://compizomania.blogspot.com/2012/07/ubuntu-32-bit-64-bit.html

 

Страница сгенерирована за 0.1 секунд. Запросов: 25.